////////////////////////////////////////////////////////////////////////////////
//                            MyGLBuilderGeometry3DVisitor.h                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYGLBUILDERGEOMETRY3DVISITOR_H
#define MYGLBUILDERGEOMETRY3DVISITOR_H

#include <X3DTK/glbuilder.h>

namespace X3DTK {
namespace X3D {

class Icosahedron;

// My visitor for the Geometry3D component of the GLCreator module.

class MyGLBuilderGeometry3DVisitor : public GLBuilderGeometry3DVisitor
{
public:
  // Constructor.
  MyGLBuilderGeometry3DVisitor();

  // Enters a FCylinder.
  virtual void enterIcosahedron(Icosahedron *I) const;
};

}
}

#endif
