TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dnodes

VPATH = componentCreators

HEADERS = CreationFunction.h \
          X3DComponentCreator.h \
          Creator.h \
          X3DLoader.h \
          Loader.h \
          AbstractCreator.h \
          CoreCreator.h \
          Geometry3DCreator.h \
          GroupingCreator.h \
          InterpolationCreator.h \
          LightingCreator.h \
          NURBSCreator.h \
          RenderingCreator.h \
          ShapeCreator.h \
          TexturingCreator.h 


SOURCES = CreationFunction.cpp \
          X3DComponentCreator.cpp \
          Creator.cpp \
          X3DLoader.cpp \
          Loader.cpp \
          AbstractCreator.cpp \
          CoreCreator.cpp \
          Geometry3DCreator.cpp \
          GroupingCreator.cpp \
          InterpolationCreator.cpp \
          LightingCreator.cpp \
          NURBSCreator.cpp \
          RenderingCreator.cpp \
          ShapeCreator.cpp \
          TexturingCreator.cpp 

include(../X3DToolKit.pri)

contains(DEFINES, XERCES) {
  HEADERS += XercesLoader.h
  SOURCES += XercesLoader.cpp
}

contains(DEFINES, LIBXML) {
  HEADERS += libXMLLoader.h
  SOURCES += libXMLLoader.cpp
}

contains(DEFINES, QT) {
  HEADERS += QLoader.h
  SOURCES += QLoader.cpp
}

INCLUDEPATH = ../../include/X3DTK \
              ../../include/X3DTK/private \
              /usr/include/libxml2
              
              
DESTDIR = ../../lib
OBJECTS_DIR = ../../obj              
