/// This file is part of the X3DToolKit library
/// Copyright (C) 2002-2003  Yannick Le Goc (legoc@imag.fr)

/// http://www-imagis.imag.fr/Membres/Yannick.Legoc/X3D/


/// X3DToolKit is free software; you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation; either version 2 of the License, or
/// (at your option) any later version.

/// X3DToolKit is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.

/// You should have received a copy of the GNU General Public License
/// along with X3DToolKit; if not, write to the Free Software
/// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////////
//                            X3DMemReleaser.h                                //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DMEMRELEASER_H
#define X3DMEMRELEASER_H

#include "X3DSceneGraphTypes.h"
#include "GLSceneGraphTypes.h"
#include "X3DOnePassProcessor.h"

namespace X3DTK {

/// MemReleaser module.

class X3DMemReleaser : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DMemReleaser();
  /// Destructor.
  virtual ~X3DMemReleaser() = 0;
  
  virtual void release(SFAbstractNode N) const = 0;
};

}

#endif
