#include "AbstractVisitor.h"

#include <iostream>
using namespace std;

namespace X3DTK {

AbstractVisitor::AbstractVisitor()
: X3DComponentVisitor()
{
  defineComponentName("Abstract", "Abstract");

  defineNewEnterFunction(&AbstractVisitor::enterX3DAbstractNode);
  defineNewWalkOnFunction(&AbstractVisitor::walkOnX3DAbstractNode);
  defineNewLeaveFunction(&AbstractVisitor::leaveX3DAbstractNode); 
}

AbstractVisitor::~AbstractVisitor()
{
}
  
void AbstractVisitor::enterX3DAbstractNode(SFAbstractNode) const
{
}

bool AbstractVisitor::walkOnX3DAbstractNode(SFAbstractNode, SFAbstractNode) const
{
  return true;
}

void AbstractVisitor::leaveX3DAbstractNode(SFAbstractNode) const
{
}

}

