#include "MyGLBuilderGeometry3DVisitor.h"
#include "FCylinder.h"
#include "GL_FCylinder.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

MyGLBuilderGeometry3DVisitor::MyGLBuilderGeometry3DVisitor()
: GLBuilderGeometry3DVisitor()
{
  // Define new enter function for FCylinder.
  defineNewEnterFunction(&MyGLBuilderGeometry3DVisitor::enterFCylinder);
}

void MyGLBuilderGeometry3DVisitor::enterFCylinder(FCylinder *C) const
{
  GL::SFNode GC = globalVariables->getNode(C);
  if (GC == 0)
  {
    GC = new GL::Box();
    GC->setX3DReference(C);
    globalVariables->addCoupleNode(C, GC);
  }
  globalVariables->pushNode(GC);
}

}
}
