////////////////////////////////////////////////////////////////////////////////
//                            InfoReader.h                                    //
////////////////////////////////////////////////////////////////////////////////

#ifndef INFOREADER_H
#define INFOREADER_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace X3D {

/// X3DInfoReader concept.

class InfoReader : public X3DOnePassProcessor
{
public:
  /// Constructor.
  InfoReader();
  /// Destructor.
  virtual ~InfoReader();
  
  void setComponentVisitor(X3DComponentVisitor *component);
  
  virtual void read(SFNode N);
 
protected:
  DFS *dfs;
};

}
}

#endif
