////////////////////////////////////////////////////////////////////////////////
//                            MyGroupingCreator.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYGROUPINGCREATOR_H
#define MYGROUPINGCREATOR_H

#include <X3DTK/kernel.h>

namespace X3DTK {
namespace X3D {

// Concrete component Creator for the Grouping component defining the default 
// X3D nodes.

class MyGroupingCreator : public DefaultGroupingCreator
{
public:
  // Constructor.
  MyGroupingCreator();
  
  // Creates an Info.
  SFNode createInfo() const;
  // Creates an Info.
  SFNode createPrice() const;
  // Creates an Info.
  SFNode createModeler() const;
};

}
}

#endif
