////////////////////////////////////////////////////////////////////////////////
//                            MyMemReleaserAbstractVisitor.h                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef MYMEMRELEASERABSTRACTVISITOR_H
#define MYMEMRELEASERABSTRACTVISITOR_H

#include <X3DTK/kernel.h>

namespace X3DTK {

// Visitor for the Abstract component of the MemReleaser module.

class MyMemReleaserAbstractVisitor : public MemReleaserAbstractVisitor
{
public:
  // Constructor.
  MyMemReleaserAbstractVisitor();

  // Enters an X3DAbstractNode.
  virtual void enterX3DAbstractNode(X3DAbstractNode *N) const;
  // Enters a Cylinder.
  virtual void enterCylinder(X3D::Cylinder *C) const;
};

}

#endif
