#include "GL_UpdaterCoreVisitor.h"
#include "GL_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace GL {

UpdaterCoreVisitor::UpdaterCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  defineNewEnterFunction(&UpdaterCoreVisitor::enterX3DNode);

  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<UpdaterGlobalVariables>();
}

UpdaterCoreVisitor::~UpdaterCoreVisitor()
{
}

void UpdaterCoreVisitor::enterX3DNode(X3DNode *N) const
{
  N->update();
}

}
}
