#include "AbstractWalker.h"
#include "Visitor.h"

#include <iostream>
using namespace std;

namespace X3DTK {

AbstractWalker::AbstractWalker()
: X3DComponentWalker()
{
  defineComponentName("Abstract", "Abstract");
  defineNewWalkingFunction<AbstractWalker, X3DAbstractNode>(&AbstractWalker::walkX3DAbstractNode);
}

AbstractWalker::~AbstractWalker()
{
}
  
void AbstractWalker::walkX3DAbstractNode(X3DAbstractNode *N) const
{
  visitor->enter(N);
  visitor->leave(N);  
}

}

